﻿public class FasterElectricSmelter : Mod
{
    private HarmonyLib.Harmony harmony;
    private static string modId = "com.raftmodding.mods.faster-electric-smelter";
    public void Start()
    {
        harmony = new HarmonyLib.Harmony(modId);
        harmony.PatchAll();
    }
    public void OnModUnload()
    {
        harmony.UnpatchAll(modId);
    }
    [HarmonyLib.HarmonyPatch(typeof(CookingSlot), "Awake")]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_CookingSlot_Awake
    {
        static void Postfix(ref CookingSlot __instance, ref float ___cookTimeMultiplier)
        {
            string name = __instance.name + " ";
            if (name.Length > 29)
            {
                name = name.Substring(0, 29);
            }
            if (name == "CookingSlot_Smelter_Electric ")
            {
                ___cookTimeMultiplier *= 0.75f;
            }
        }
    }
}
